<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'gradingform_rubric', language 'el_uni', version '2.2'.
 *
 * @package     gradingform_rubric
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['needregrademessage'] = 'Ο ορισμός της ρουμπρίκας άλλαξε αφού αυτός ο φοιτητής είχε βαθμολογηθεί. Ο φοιτητής δεν μπορεί να δει αυτή τη ρουμπρίκα μέχρι να την ελέγξετε και να ενημερώσετε τον βαθμό.';
$string['regrademessage1'] = 'Πρόκειται να αποθηκεύσετε αλλαγές σε μια ρουμπρίκα (Κλίμακα Διαβαθμισμένων Κριτηρίων, rubric) η οποία έχει ήδη χρησιμοποιηθεί για βαθμολόγηση. Παρακαλούμε να επισημάνετε αν οι υπάρχοντες βαθμοί χρειάζονται επανεξέταση. Αν ενεργοποιήσετε αυτή την επιλογή, τότε η ρουμπρίκα θα παραμείνει κρυμμένη από τους φοιτητές μέχρι να αναβαθμολογηθεί η απάντησή τους.';
$string['regrademessage5'] = 'Πρόκειται να αποθηκεύσετε αλλαγές σε μια ρουμπρίκα (Κλίμακα Διαβαθμισμένων Κριτηρίων, rubric) η οποία έχει ήδη χρησιμοποιηθεί για βαθμολόγηση. Η τιμές στο βαθμολόγιο δεν θα αλλάξουν, αλλά η ρουμπρίκα θα παραμείνει κρυμμένη από τους φοιτητές μέχρι να αναβαθμολογηθεί η απάντησή τους.';
